Subject: [bug#58955] [PATCH] gnu: pd: Update to 0.53-0, unbundle oss and portaudio

From: Sughosha <[email-masked]>
Date: Fri, 04 Nov 2022 13:29:14 +0000

Hi Christopher,

Thanks for reviewing the patch.

> From the diff, it looks like oss is being disabled, rather than
> unbundled. What's the reasoning behind disabling it?
OSS is not needed since it was superseded by ALSA and it does the job.
I disabled it because it's not at all used in Guix and also not needed
as we have ALSA. Sorry for not being accurate in the message.
> 
> Adding portaudio as an input seems fine I guess, but it might be good to
> remove the portaudio files from the source (through a snippet) if there
> are some there.
I tried it but autoconf or automake looks for it and gives error, before
starting building.